Manage bank accounts (add/update/remove)
curl --request PUT \
--url https://api.range.org/v2/counterparties/{id}/bank-accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"action": "add",
"id": "ba-uuid-001",
"currency": "USD",
"bank_name": "Chase",
"account_name": "Vercel Inc",
"iban": "DE89370400440532013000",
"swift": "DEUTDEFF",
"routing_number": "021000021",
"account_number": "12345678",
"account_type": "checking",
"sort_code": "60-16-13"
}
]
}
'import requests
url = "https://api.range.org/v2/counterparties/{id}/bank-accounts"
payload = { "operations": [
{
"action": "add",
"id": "ba-uuid-001",
"currency": "USD",
"bank_name": "Chase",
"account_name": "Vercel Inc",
"iban": "DE89370400440532013000",
"swift": "DEUTDEFF",
"routing_number": "021000021",
"account_number": "12345678",
"account_type": "checking",
"sort_code": "60-16-13"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operations: [
{
action: 'add',
id: 'ba-uuid-001',
currency: 'USD',
bank_name: 'Chase',
account_name: 'Vercel Inc',
iban: 'DE89370400440532013000',
swift: 'DEUTDEFF',
routing_number: '021000021',
account_number: '12345678',
account_type: 'checking',
sort_code: '60-16-13'
}
]
})
};
fetch('https://api.range.org/v2/counterparties/{id}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "ba-001",
"currency": "USD",
"bank_name": "Silicon Valley Bank",
"account_name": "Vercel Inc",
"iban": "************1234",
"swift": "CHASUS33",
"routing_number": "*****0248",
"account_number": "****5678",
"account_type": "checking",
"sort_code": "****89"
}
]Counterparties
Manage bank accounts (add/update/remove)
PUT
/
v2
/
counterparties
/
{id}
/
bank-accounts
Manage bank accounts (add/update/remove)
Authorizations
Use Authorization: Bearer
Path Parameters
Body
application/json
Required array length:
1 - 50 elementsShow child attributes
Show child attributes
Response
200 - application/json
Example:
"ba-001"
Example:
"USD"
Example:
"Silicon Valley Bank"
Example:
"Vercel Inc"
Example:
"************1234"
Example:
"CHASUS33"
Example:
"*****0248"
Example:
"****5678"
Example:
"checking"
Example:
"****89"
Last modified on July 17, 2026
Was this page helpful?
⌘I